<?php
   //solicitamos archivo de conexion a mysql
   require_once('../../conf/connection.php');
   //si an pulsado el boton de enviar
  		//Construimos el query!
	
          $buscar='select * from pedido where est=0 and total_venta=0 ';
		  $r=mysql_query($buscar,$conn) or die("Error en el query: ".mysql_error());
		  $n=mysql_num_rows($r);
		  
		  
		  if ($n<>0){
			
		
			while($row=mysql_fetch_assoc($r))
			{
			
			$idmesa=$row["idmesa"];
		
			$sel_mesa="UPDATE mesa SET est_mesa=1 WHERE num_mesa='$idmesa'";
		    $rs_mesa=mysql_query($sel_mesa);
			
			$borrar_mesa="DELETE FROM pedido WHERE est=0 AND total_venta=0";
		    $rs_mesa=mysql_query($borrar_mesa);
			
			}		
			?> 
			<script>alert("Mesa activada y pedido elimnado con exito!");</script>
	        <META HTTP-EQUIV="REFRESH" CONTENT="1;URL=index.php">
			
			<? 
			
			}else{
			?>
            <script>alert("Error: No existen mesas o pedidos con errores");</script>
	        <META HTTP-EQUIV="REFRESH" CONTENT="1;URL=index.php">
			
			<?			
			}
			?>
		